package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.SystemUser;
import com.yiboshi.science.param.dto.SystemUserDTO;
import com.yiboshi.science.param.query.SystemUserQueryVO;

/**
 * 用户信息表 DAO
 *
 * @author lkl
 * @version 2021-08-26
 */
public interface SystemUserDAO extends BaseMapper<SystemUser>, BaseDAO<SystemUserQueryVO,SystemUserDTO, SystemUser> {
    SystemUserDTO findByName(String userName);
    String getMaxUsername(String Code);
    String getUsername(String Code);
    SystemUser getByUserName(String userName);
    SystemUserDTO getSystemUserById(String id);
}
